## deepin-movie-reborn 6.0.13

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(CMAKE_AUTOMOC ON)
set(CMD_NAME deepin-movie)

set(PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/widgets
    ${PROJECT_SOURCE_DIR}/src/common
    ${PROJECT_SOURCE_DIR}/src/libdmr
    ${PROJECT_SOURCE_DIR}/src/dlna)

add_definitions(-D_MOVIE_USE_)

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

find_package(Qt5Widgets)
find_package(Qt5DBus)
find_package(Qt5X11Extras)
find_package(Qt5LinguistTools)
find_package(Qt5Network)
find_package(Qt5Concurrent)
find_package(Qt5Sql)
find_package(Qt5Svg)
find_package(Qt5Multimedia)
find_package(Qt5MultimediaWidgets)
find_package(Qt5Xml)

pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkcore)
pkg_check_modules(Xcb REQUIRED IMPORTED_TARGET xcb xcb-shape)
pkg_check_modules(DBusextended REQUIRED IMPORTED_TARGET dbusextended-qt5)
pkg_check_modules(Gst REQUIRED IMPORTED_TARGET gobject-2.0)
# IMPORTED_TARGET failed to work for some of libs under flatpak env
pkg_check_modules(Other REQUIRED  gsettings-qt)

qt5_add_resources(RCS ../assets/resources.qrc)
qt5_add_resources(RCS ../assets/icons/theme-icons.qrc)
if (${Dtk_VERSION} LESS 2.0.6.1)
    qt5_add_resources(RCS ../assets/theme.qrc)
endif()


file(GLOB_RECURSE SRCS LIST_DIRECTORIES false common/*.cpp widgets/*.cpp libdmr/*.cpp vendor/*.cpp dlna/*.cpp dlna/*.c)
list(APPEND SRCS main.cpp)

# mpv backend
file(GLOB_RECURSE MPV_SRCS LIST_DIRECTORIES false backends/mpv/*.cpp)
file(GLOB_RECURSE MEDIAPLAYER_SRCS LIST_DIRECTORIES false backends/mediaplayer/*.cpp)
list(APPEND SRCS ${MPV_SRCS} ${MEDIAPLAYER_SRCS})
list(APPEND PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/backends/mpv)
list(APPEND PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/backends/mediaplayer)
list(APPEND PROJECT_INCLUDE /usr/include/glib-2.0 /usr/include/gstreamer-1.0)
#~

set (DTK_SETTINGS_TOOLS_EXECUTABLE ${DTKCORE_TOOL_DIR}/dtk-settings)
if (EXISTS ${DTK_SETTINGS_TOOLS_EXECUTABLE})
add_custom_target(json_i18n ALL
        ${DTKCORE_TOOL_DIR}/dtk-settings resources/data/settings.json -o common/settings_translation.cpp
    COMMAND sed -i "s,#include .*,#include <DSettings>," common/settings_translation.cpp
    VERBATIM
    SOURCES resources/data/settings.json
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/src/)

endif ()
## translations
file(GLOB TS LIST_DIRECTORIES false ../translations/${CMD_NAME}*.ts)

set_source_files_properties(${TS}
    PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
    qt5_create_translation(QM ${SRCS} ${TS})
endif ()
# ~

add_executable(${CMD_NAME} ${SRCS} ${RCS} ${QM})

target_include_directories(${CMD_NAME} PUBLIC ${PROJECT_INCLUDE})

set(TARGET_LIBS X11 Xtst PkgConfig::Xcb Qt5::Widgets Qt5::X11Extras Qt5::Network Qt5::DBus Qt5::Sql Qt5::Svg Qt5::Multimedia
    Qt5::MultimediaWidgets PkgConfig::Dtk PkgConfig::MPRIS PkgConfig::DBusextended PkgConfig::Gst GL va va-x11
    Qt5::Concurrent Qt5::Xml)

target_link_libraries(${CMD_NAME} ${TARGET_LIBS} ${Other_LIBRARIES})


install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
    DESTINATION ${CMAKE_INSTALL_DATADIR}/${CMD_NAME}
    FILES_MATCHING PATTERN "*.qm")
install(FILES ${PROJECT_SOURCE_DIR}/deepin-movie.desktop
    DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
install(FILES ${CMAKE_SOURCE_DIR}/src/libdmr/com.deepin.deepin-movie.gschema.xml
    DESTINATION ${CMAKE_INSTALL_DATADIR}/glib-2.0/schemas)
install(FILES ${PROJECT_SOURCE_DIR}/assets/resources/icons/logo-big.svg
    DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps
    RENAME deepin-movie.svg)
install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-movie DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
install (FILES ${CMAKE_SOURCE_DIR}/com.deepin.movie.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services/)

# 加速编译优化参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed -fPIE -z noexecstack")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
    SET(CMAKE_EXE_LINKER_FLAGS "-pie")
else()
    SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -std=c++14 -O3 -DNDEBUG -fPIC -Wl,--as-needed -fPIE")
    SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -std=c++14 -O3 -DNDEBUG -fPIC")
    SET(CMAKE_EXE_LINKER_FLAGS "-pie")
endif()

add_subdirectory(libdmr)
#add_subdirectory(test)

=== deepin-movie-platform/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

# 定义需要的cmake版本
cmake_minimum_required(VERSION 3.10)

# 设置cmake参数
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

#ADD_DEFINITIONS( -LITE_DIV)
execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

option (USE_TEST "Use TESTS" ON)
add_definitions( -DUSE_TEST )

# 设置Qt模块
set(QtModule Core Gui Widgets Network X11Extras PrintSupport DBus Sql Svg Multimedia MultimediaWidgets Concurrent LinguistTools Test)

# 设置工程名字
project(deepin-movie-platform-test)

# 查找Qt相关的库链接
find_package(Qt5 REQUIRED ${QtModule})
find_package(gui-private)


# 包含源码文件夹
include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

include_directories(../../src)
include_directories(../../src/common)
include_directories(../../src/common/platform)
include_directories(../../src/widgets)
include_directories(../../src/widgets/platform)
include_directories(../../src/libdmr)
include_directories(../../src/vendor)
include_directories(../../src/backends)
include_directories(../../src/backends/mpv)
include_directories(../../src/backends/mediaplayer)

#add_subdirectory(googletest)

# 定义 source 文件
FILE (GLOB allSource
    ../../src/common/*.cpp
    ../../src/common/platform/*.cpp
    ../../src/widgets/*.cpp
    ../../src/widgets/platform/*.cpp
    ../../src/libdmr/*.cpp
    ../../src/vendor/*.cpp
    ../../src/backends/mpv/*.cpp
    ../../src/backends/mediaplayer/*.cpp
    ../../src/backends/*.cpp
    )

FILE (GLOB allTestSource
    *.cpp
    *.sh
    common/*.cpp
    widgets/*.cpp
    libdmr/*.cpp
    backends/*.cpp
    vendor/*.cpp
    *.sh
    )

# 定义资源文件
set(AllQRC
    ../../assets/resources.qrc
    ../../assets/icons/theme-icons.qrc
)

# 设置不删除生成的文件夹内容文件（设置此项是为了翻译后的文件不被删除）
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

# 添加需要安装的模块
add_executable(${PROJECT_NAME} ${allSource} ${allTestSource}
    ${AllQRC}
    )

# 添加gocv覆盖率文件的输出
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")    #mips平台下不进行内存检测
else()
    set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage")
    set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
    set(CMAKE_L_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

set(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE ON)

set(OBJECT_DIR ${CMAKE_BINARY_DIR}/CMakeFiles/objects)

add_custom_target(platform_test
    COMMAND mkdir -p build-ut
    COMMAND mkdir -p build-ut/report
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

add_custom_command(TARGET platform_test
    COMMAND echo " ===================CREAT LCOV REPROT==================== "
    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
    COMMAND ./tests/${PROJECT_NAME} #-o ./build-ut/report/report_${PROJECT_NAME}.xml,xml
    COMMAND lcov --directory . --capture --output-file ./build-ut/${PROJECT_NAME}_Coverage.info

    COMMAND echo " =================== do filter begin ==================== "
    COMMAND lcov --remove ./build-ut/${PROJECT_NAME}_Coverage.info 'CMakeFiles/${PROJECT_NAME}.dir/${PROJECT_NAME}_autogen/*/*'
    '${PROJECT_NAME}_autogen/*/*/*.cpp' 'googletest/*/*' '*/usr/include/*' '*/tests/*' '/usr/local/*' '*/src/common/filter.*'
    '*/src/common/settings_translation.cpp' '*/src/common/event_monitor.cpp' '*/src/widgets/videoboxbutton.cpp' '*/src/common/event_relayer.cpp'
    -o ./build-ut/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " =================== do filter end ==================== "

    COMMAND genhtml -o ./build-ut/report ./build-ut/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " -- Coverage files have been output to ${CMAKE_BINARY_DIR}/build-ut/report "
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )
add_dependencies(platform_test ${PROJECT_NAME})

#------------------------------ 添加第三方库  DTK -------------------------------
# 使用第三方库需要用到的一个包
find_package(PkgConfig REQUIRED)
#set(TARGET_LIBS X11 Xext Xtst PkgConfig::Xcb Qt5::Widgets Qt5::X11Extras Qt5::Network
#    Qt5::Concurrent Qt5::DBus Qt5::Sql PkgConfig::Dtk
#    PkgConfig::Mpv PkgConfig::MPRIS PkgConfig::DBusextended
#    PkgConfig::AV pthread GL)
# 检查第三方库(这里检查了名字为dtkwidget的库和名字为dtkgui的库)，然后取名3rd_lib
pkg_check_modules(3rd_lib REQUIRED
        dtkwidget dtkgui
        libpulse dvdnav gsettings-qt x11 xext xtst xcb gl
        xcb-aux xcb-proto xcb-ewmh xcb-shape mpris-qt5 dbusextended-qt5 libva libva-x11
        gstreamer-1.0 glib-2.0 gstreamer-pbutils-1.0
        )
    #libpulse-simple xcb-aux gtest
# 添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)
target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS})

# 将第三方库链接进来(注意 *_LIBRARIES)
target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES}  Qt5::GuiPrivate)
#------------------------------添加第三方库end-------------------------------------

target_link_libraries(${PROJECT_NAME} gmock gmock_main gtest gtest_main)

# 将工程与Qt模块链接起来
qt5_use_modules(${PROJECT_NAME} ${QtModule})

=== deepin-movie/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

# 定义需要的cmake版本
cmake_minimum_required(VERSION 3.10)

# 设置cmake参数
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

#ADD_DEFINITIONS( -LITE_DIV)
execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

option (USE_TEST "Use TESTS" ON)
add_definitions( -DUSE_TEST )

# 设置Qt模块
set(QtModule Core Gui Widgets Network X11Extras PrintSupport DBus Sql Svg Multimedia MultimediaWidgets Concurrent LinguistTools Test)

# 设置工程名字
project(deepin-movie-test)

# 查找Qt相关的库链接
find_package(Qt5 REQUIRED ${QtModule})
find_package(gui-private)


# 包含源码文件夹
include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

include_directories(../../src)
include_directories(../../src/common)
include_directories(../../src/common/platform)
include_directories(../../src/widgets)
include_directories(../../src/widgets/platform)
include_directories(../../src/libdmr)
include_directories(../../src/vendor)
include_directories(../../src/backends)
include_directories(../../src/backends/mpv)
include_directories(../../src/backends/mediaplayer)

#add_subdirectory(googletest)

# 定义 source 文件
FILE (GLOB allSource
    ../../src/common/*.cpp
    ../../src/common/platform/*.cpp
    ../../src/widgets/*.cpp
    ../../src/widgets/platform/*.cpp
    ../../src/libdmr/*.cpp
    ../../src/vendor/*.cpp
    ../../src/backends/mpv/*.cpp
    ../../src/backends/mediaplayer/*.cpp
    ../../src/backends/*.cpp
    )

FILE (GLOB allTestSource
    *.cpp
    *.sh
    common/*.cpp
    widgets/*.cpp
    libdmr/*.cpp
    backends/*.cpp
    vendor/*.cpp
    stub/*.cpp
    *.sh
    )

# 定义资源文件
set(AllQRC
    ../../assets/resources.qrc
    ../../assets/icons/theme-icons.qrc
)

# 设置不删除生成的文件夹内容文件（设置此项是为了翻译后的文件不被删除）
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM 1)

# 添加需要安装的模块
add_executable(${PROJECT_NAME} ${allSource} ${allTestSource}
    ${AllQRC}
    )

# 添加gocv覆盖率文件的输出
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")    #mips平台下不进行内存检测
else()
    set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage")
    set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
    set(CMAKE_L_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

set(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE ON)

set(OBJECT_DIR ${CMAKE_BINARY_DIR}/CMakeFiles/objects)

add_custom_target(test
    COMMAND mkdir -p build-ut
    COMMAND mkdir -p build-ut/report
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR})

add_custom_command(TARGET test
    COMMAND echo " ===================CREAT LCOV REPROT==================== "
    COMMAND lcov --directory ./CMakeFiles/${PROJECT_NAME}.dir --zerocounters
    COMMAND ./tests/${PROJECT_NAME} #-o ./build-ut/report/report_${PROJECT_NAME}.xml,xml
    COMMAND lcov --directory . --capture --output-file ./build-ut/${PROJECT_NAME}_Coverage.info

    COMMAND echo " =================== do filter begin ==================== "
    COMMAND lcov --remove ./build-ut/${PROJECT_NAME}_Coverage.info 'CMakeFiles/${PROJECT_NAME}.dir/${PROJECT_NAME}_autogen/*/*'
    '${PROJECT_NAME}_autogen/*/*/*.cpp' 'googletest/*/*' '*/usr/include/*' '*/tests/*' '/usr/local/*' '*/src/common/filter.*'
    '*/src/common/settings_translation.cpp' '*/src/common/event_monitor.cpp' '*/src/widgets/videoboxbutton.cpp' '*/src/common/event_relayer.cpp'
    -o ./build-ut/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " =================== do filter end ==================== "

    COMMAND genhtml -o ./build-ut/report ./build-ut/${PROJECT_NAME}_Coverage_fileter.info
    COMMAND echo " -- Coverage files have been output to ${CMAKE_BINARY_DIR}/build-ut/report "
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )
add_dependencies(test ${PROJECT_NAME})

#------------------------------ 添加第三方库  DTK -------------------------------
# 使用第三方库需要用到的一个包
find_package(PkgConfig REQUIRED)
#set(TARGET_LIBS X11 Xext Xtst PkgConfig::Xcb Qt5::Widgets Qt5::X11Extras Qt5::Network
#    Qt5::Concurrent Qt5::DBus Qt5::Sql PkgConfig::Dtk
#    PkgConfig::Mpv PkgConfig::MPRIS PkgConfig::DBusextended
#    PkgConfig::AV pthread GL)
# 检查第三方库(这里检查了名字为dtkwidget的库和名字为dtkgui的库)，然后取名3rd_lib
pkg_check_modules(3rd_lib REQUIRED
        dtkwidget dtkgui
        libpulse dvdnav gsettings-qt x11 xext xtst xcb gl
        xcb-aux xcb-proto xcb-ewmh xcb-shape mpris-qt5 dbusextended-qt5 libva libva-x11
        gstreamer-1.0 glib-2.0 gstreamer-pbutils-1.0
        )
    #libpulse-simple xcb-aux gtest
# 添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)
target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS})

# 将第三方库链接进来(注意 *_LIBRARIES)
target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES}  Qt5::GuiPrivate)
#------------------------------添加第三方库end-------------------------------------

target_link_libraries(${PROJECT_NAME} gmock gmock_main gtest gtest_main)

# 将工程与Qt模块链接起来
qt5_use_modules(${PROJECT_NAME} ${QtModule})

=== ut_dmr-test/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

# 设置工程名字
project(ut_dmr-test)

# 定义需要的cmake版本
cmake_minimum_required(VERSION 3.10)

# 设置cmake参数
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

execute_process(COMMAND uname -m OUTPUT_VARIABLE MACH
    ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)

option (USE_TEST "Use TESTS" ON)
add_definitions( -DUSE_TEST )

# 设置Qt模块
set(QtModule Core Gui Widgets Network X11Extras PrintSupport DBus Sql Svg Concurrent LinguistTools Test)

# 查找Qt相关的库链接
find_package(Qt5 REQUIRED ${QtModule})

pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)

include_directories(../../examples/test)
include_directories(../../src)
include_directories(../../src/common)
include_directories(../../src/widgets)
include_directories(../../src/libdmr)
include_directories(../../src/vendor)
include_directories(../../src/backends)
include_directories(../../src/backends/mpv)

# 定义 source 文件
FILE (GLOB allSource
    ../../examples/test/window.cpp
    )

FILE (GLOB allTestSource
    *.cpp
    *.sh
    )

# 定义资源文件
set(AllQRC
    ../../assets/resources.qrc
    ../../assets/icons/theme-icons.qrc
)

add_executable(${PROJECT_NAME} ${allSource} ${allTestSource} ${AllQRC})

#添加内存泄露检测参数
if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
    set(CMAKE_CXX_FLAGS "-g -fprofile-arcs -ftest-coverage")    #mips平台下不进行内存检测
else()
    set(CMAKE_CXX_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer -g -fprofile-arcs -ftest-coverage")
    set(CMAKE_C_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
    set(CMAKE_L_FLAGS "-fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

set(CMAKE_CXX_OUTPUT_EXTENSION_REPLACE ON)

set(OBJECT_DIR ${CMAKE_BINARY_DIR}/CMakeFiles/objects)

# 使用第三方库需要用到的一个包
find_package(PkgConfig REQUIRED)
pkg_check_modules(3rd_lib REQUIRED
        dtkwidget dtkgui
        libpulse dvdnav gsettings-qt x11 xext xtst xcb gl
        xcb-aux xcb-proto xcb-ewmh xcb-shape mpris-qt5 dbusextended-qt5 libva libva-x11
        )
    #libpulse-simple xcb-aux gtest
# 添加第三方库的所有文件夹路径到工程中来(注意 *_INCLUDE_DIRS)
target_include_directories(${PROJECT_NAME} PUBLIC ${3rd_lib_INCLUDE_DIRS})

# 将第三方库链接进来(注意 *_LIBRARIES)
target_link_libraries(${PROJECT_NAME} ${3rd_lib_LIBRARIES} )
#------------------------------添加第三方库end-------------------------------------

target_link_libraries(${PROJECT_NAME} gmock gmock_main gtest gtest_main dmr)

# 将工程与Qt模块链接起来
qt5_use_modules(${PROJECT_NAME} ${QtModule})

## deepin-movie-reborn 6.5.2

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: GPL-3.0-or-later

set(CMAKE_AUTOMOC ON)
set(CMD_NAME deepin-movie)

set(PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/widgets
    ${PROJECT_SOURCE_DIR}/src/common
    ${PROJECT_SOURCE_DIR}/src/libdmr
    ${PROJECT_SOURCE_DIR}/src/dlna
    ${PROJECT_SOURCE_DIR}/src/backends/mpv
    /usr/include/glib-2.0 
    /usr/include/gstreamer-1.0)

add_definitions(-D_MOVIE_USE_)

include_directories(${CMAKE_INCLUDE_CURRENT_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})

find_package(Qt6 COMPONENTS Gui Widgets DBus LinguistTools Network Concurrent Sql Svg SvgWidgets Multimedia MultimediaWidgets Xml OpenGL Core OpenGLWidgets REQUIRED)

# qt5需要将qt6的find_package替换成qt5对应的：
# find_package(Qt5Widgets)
# find_package(Qt5DBus)
# find_package(Qt5X11Extras)
# find_package(Qt5LinguistTools)
# find_package(Qt5Network)
# find_package(Qt5Concurrent)
# find_package(Qt5Sql)
# find_package(Qt5Svg)
# find_package(Qt5Multimedia)
# find_package(Qt5MultimediaWidgets)
# find_package(Qt5Xml)
# find_package(DtkWidget REQUIRED)

if (Qt6_FOUND)
    # Qt6 environment
    pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtk6widget)
    pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtk6gui)
    pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtk6core)
    pkg_check_modules(Xcb REQUIRED IMPORTED_TARGET xcb xcb-shape)
    #pkg_check_modules(DBusextended REQUIRED IMPORTED_TARGET dbusextended-qt5)
    pkg_check_modules(Gst REQUIRED IMPORTED_TARGET gobject-2.0)
    # IMPORTED_TARGET failed to work for some of libs under flatpak env
    pkg_check_modules(Other REQUIRED  gsettings-qt)

    qt6_add_resources(RCS ../assets/resources.qrc)
    qt6_add_resources(RCS ../assets/icons/theme-icons.qrc)
    if (${Dtk_VERSION} LESS 2.0.6.1)
        qt6_add_resources(RCS ../assets/theme.qrc)
    endif()

    file(GLOB_RECURSE SRCS LIST_DIRECTORIES false common/*.cpp widgets/*.cpp libdmr/*.cpp vendor/*.cpp dlna/*.cpp dlna/*.c)
    list(APPEND SRCS main.cpp)

    # mpv backend
    file(GLOB_RECURSE MPV_SRCS LIST_DIRECTORIES false backends/mpv/*.cpp)
    file(GLOB_RECURSE MEDIAPLAYER_SRCS LIST_DIRECTORIES false backends/mediaplayer/*.cpp)
    list(APPEND SRCS ${MPV_SRCS} ${MEDIAPLAYER_SRCS})
    list(APPEND PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/backends/mpv)
    # list(APPEND PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/backends/mediaplayer)
    list(APPEND PROJECT_INCLUDE /usr/include/glib-2.0 /usr/include/gstreamer-1.0)
    #~

    set (DTK_SETTINGS_TOOLS_EXECUTABLE ${DTKCORE_TOOL_DIR}/dtk-settings)
    if (EXISTS ${DTK_SETTINGS_TOOLS_EXECUTABLE})
    add_custom_target(json_i18n ALL
            ${DTKCORE_TOOL_DIR}/dtk-settings resources/data/settings.json -o common/settings_translation.cpp
        COMMAND sed -i "s,#include .*,#include <DSettings>," common/settings_translation.cpp
        VERBATIM
        SOURCES resources/data/settings.json
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/src/)

    endif ()
    ## translations
    file(GLOB TS LIST_DIRECTORIES false ../translations/${CMD_NAME}*.ts)

    set_source_files_properties(${TS}
        PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

    if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
        qt6_create_translation(QM ${SRCS} ${TS})
    endif ()
    # ~

    add_executable(${CMD_NAME} ${SRCS} ${RCS} ${QM})

    target_include_directories(${CMD_NAME} PUBLIC ${PROJECT_INCLUDE})

    set(TARGET_LIBS X11 Xtst PkgConfig::Xcb Qt6::Widgets Qt6::Network Qt6::DBus Qt6::Sql Qt6::Svg Qt6::Multimedia
        Qt6::MultimediaWidgets PkgConfig::Dtk PkgConfig::MPRIS PkgConfig::Gst GL va va-x11
        Qt6::Concurrent Qt6::Xml Qt6::SvgWidgets Qt6::OpenGL Qt6::Core Qt6::Gui Qt6::GuiPrivate Qt6::OpenGLWidgets)

    target_link_libraries(${CMD_NAME} ${TARGET_LIBS} ${Other_LIBRARIES} dmr)

    install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
    install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
        DESTINATION ${CMAKE_INSTALL_DATADIR}/${CMD_NAME}
        FILES_MATCHING PATTERN "*.qm")
    install(FILES ${PROJECT_SOURCE_DIR}/deepin-movie.desktop
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
    install(FILES ${CMAKE_SOURCE_DIR}/src/libdmr/com.deepin.deepin-movie.gschema.xml
        DESTINATION ${CMAKE_INSTALL_DATADIR}/glib-2.0/schemas)
    install(FILES ${PROJECT_SOURCE_DIR}/assets/resources/icons/logo-big.svg
        DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps
        RENAME deepin-movie.svg)
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-movie DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
    install (FILES ${CMAKE_SOURCE_DIR}/com.deepin.movie.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services/)

    # 加速编译优化参数
    if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
        SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed -fPIE -z noexecstack")
        SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
        SET(CMAKE_EXE_LINKER_FLAGS "-pie")
    else()
        SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -std=c++14 -O3 -DNDEBUG -fPIC -Wl,--as-needed -fPIE")
        SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -std=c++14 -O3 -DNDEBUG -fPIC")
        SET(CMAKE_EXE_LINKER_FLAGS "-pie")
    endif()

    add_subdirectory(libdmr)
else()
    # Qt5 environment
    pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkwidget)
    pkg_check_modules(Dtk REQUIRED IMPORTED_TARGET dtkcore)
    pkg_check_modules(Xcb REQUIRED IMPORTED_TARGET xcb xcb-shape)
    pkg_check_modules(DBusextended REQUIRED IMPORTED_TARGET dbusextended-qt5)
    pkg_check_modules(Gst REQUIRED IMPORTED_TARGET gobject-2.0)
    # IMPORTED_TARGET failed to work for some of libs under flatpak env
    pkg_check_modules(Other REQUIRED gsettings-qt)

    # make linglong build success
    pkg_check_modules(3rd REQUIRED libavformat mpv libavcodec libffmpegthumbnailer gstreamer-1.0 glib-2.0)
    include_directories(${3rd_INCLUDE_DIRS})

    qt5_add_resources(RCS ../assets/resources.qrc)
    qt5_add_resources(RCS ../assets/icons/theme-icons.qrc)
    if (${Dtk_VERSION} LESS 2.0.6.1)
        qt5_add_resources(RCS ../assets/theme.qrc)
    endif()


    file(GLOB_RECURSE SRCS LIST_DIRECTORIES false common/*.cpp widgets/*.cpp libdmr/*.cpp vendor/*.cpp dlna/*.cpp dlna/*.c)
    list(APPEND SRCS main.cpp)

    # mpv backend
    file(GLOB_RECURSE MPV_SRCS LIST_DIRECTORIES false backends/mpv/*.cpp)
    file(GLOB_RECURSE MEDIAPLAYER_SRCS LIST_DIRECTORIES false backends/mediaplayer/*.cpp)
    list(APPEND SRCS ${MPV_SRCS} ${MEDIAPLAYER_SRCS})
    list(APPEND PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/backends/mpv)
    list(APPEND PROJECT_INCLUDE ${PROJECT_SOURCE_DIR}/src/backends/mediaplayer)
    #~

    set (DTK_SETTINGS_TOOLS_EXECUTABLE ${DTKCORE_TOOL_DIR}/dtk-settings)
    if (EXISTS ${DTK_SETTINGS_TOOLS_EXECUTABLE})
    add_custom_target(json_i18n ALL
            ${DTKCORE_TOOL_DIR}/dtk-settings resources/data/settings.json -o common/settings_translation.cpp
        COMMAND sed -i "s,#include .*,#include <DSettings>," common/settings_translation.cpp
        VERBATIM
        SOURCES resources/data/settings.json
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/src/)

    endif ()
    ## translations
    file(GLOB TS LIST_DIRECTORIES false ../translations/${CMD_NAME}*.ts)

    set_source_files_properties(${TS}
        PROPERTIES OUTPUT_LOCATION ${PROJECT_SOURCE_DIR}/translations)

    if (NOT (${CMAKE_BUILD_TYPE} MATCHES "Debug"))
        qt5_create_translation(QM ${SRCS} ${TS})
    endif ()
    # ~

    add_executable(${CMD_NAME} ${SRCS} ${RCS} ${QM})

    target_include_directories(${CMD_NAME} PUBLIC ${PROJECT_INCLUDE})

    set(TARGET_LIBS X11 Xtst PkgConfig::Xcb Qt5::Widgets Qt5::X11Extras Qt5::Network Qt5::DBus Qt5::Sql Qt5::Svg Qt5::Multimedia
        Qt5::MultimediaWidgets PkgConfig::Dtk PkgConfig::MPRIS PkgConfig::DBusextended PkgConfig::Gst GL va va-x11
        Qt5::Concurrent Qt5::Xml)

    target_link_libraries(${CMD_NAME} ${TARGET_LIBS} ${Other_LIBRARIES})


    install(TARGETS ${CMD_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
    install(DIRECTORY ${PROJECT_SOURCE_DIR}/translations
        DESTINATION ${CMAKE_INSTALL_DATADIR}/${CMD_NAME}
        FILES_MATCHING PATTERN "*.qm")
    install(FILES ${PROJECT_SOURCE_DIR}/deepin-movie.desktop
        DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)
    install(FILES ${CMAKE_SOURCE_DIR}/src/libdmr/com.deepin.deepin-movie.gschema.xml
        DESTINATION ${CMAKE_INSTALL_DATADIR}/glib-2.0/schemas)
    install(FILES ${PROJECT_SOURCE_DIR}/assets/resources/icons/logo-big.svg
        DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps
        RENAME deepin-movie.svg)
    install(DIRECTORY ${CMAKE_SOURCE_DIR}/assets/deepin-movie DESTINATION ${CMAKE_INSTALL_DATADIR}/deepin-manual/manual-assets/application/)
    install(FILES ${PROJECT_SOURCE_DIR}/assets/deepin-movie.json DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/uos-ai-assistant/functions)
    install(FILES ${PROJECT_SOURCE_DIR}/com.deepin.movie.service DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services/)

    #hw机型增加DConfig配置
    set(APPID org.deepin.movie)
    set(configFile ${PROJECT_SOURCE_DIR}/assets/org.deepin.movie.minimode.json)
    if (DEFINED DSG_DATA_DIR)
        message("-- DConfig is supported by DTK")
        dconfig_meta_files(APPID ${APPID} FILES ${configFile})
    else()
        install(FILES ${configFile} DESTINATION ${CMAKE_INSTALL_DATADIR}/dsg/configs/org.deepin.movie/)
    endif()

    # 加速编译优化参数
    if (CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "mips64")
        SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -Wl,--as-needed -fPIE -z noexecstack")
        SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -O3 -ftree-vectorize -march=loongson3a -mhard-float -mno-micromips -mno-mips16 -flax-vector-conversions -mloongson-ext2 -mloongson-mmi -z noexecstack")
        SET(CMAKE_EXE_LINKER_FLAGS "-pie")
    else()
        SET(CMAKE_CXX_FLAGS "$ENV{CXXFLAGS} -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -std=c++14 -O3 -DNDEBUG -fPIC -Wl,--as-needed -fPIE")
        SET(CMAKE_C_FLAGS "$ENV{CFLAGS} -fstack-protector-strong -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 -std=c++14 -O3 -DNDEBUG -fPIC")
        SET(CMAKE_EXE_LINKER_FLAGS "-pie")
    endif()

    add_subdirectory(libdmr)
    #add_subdirectory(test)
endif()

=== debian/changelog ===
deepin-movie-reborn (6.5.2) unstable; urgency=medium

  * Update version to 6.5.2
  * Update linglong.yaml for qt6.8 runtime

 -- wangrong <wangrong@uniontech.com>  Fri, 14 Feb 2025 14:03:54 +0800

deepin-movie-reborn (6.5.1) unstable; urgency=medium

  * chore: New version 6.5.1.

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 13 Feb 2025 11:26:08 +0800

deepin-movie-reborn (6.5.0) unstable; urgency=medium

  * New tag 

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 07 Feb 2025 14:01:17 +0800

deepin-movie-reborn (5.15.13) unstable; urgency=medium

  * fix: Fixed the issue that OpenGL could not be played

 -- renbin <renbin@uniontech.com>  Fri, 17 Jan 2025 15:56:54 +0800

deepin-movie-reborn (5.15.12) unstable; urgency=medium

  * chore: New version 5.15.12.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 10 Jan 2025 18:16:49 +0800

deepin-movie-reborn (5.15.11) unstable; urgency=medium

  * qt6.8 version
  * Update version to 5.15.11

 -- Liu zheng <liuzheng@uniontech.com>  Fri, 10 Jan 2025 08:59:01 +0800

deepin-movie-reborn (5.15.10) unstable; urgency=medium

  * Update version to 5.15.10

 -- renbin <renbin@uniontech.com>  Fri, 27 Dec 2024 11:08:37 +0800

deepin-movie-reborn (5.15.9) unstable; urgency=medium

  * chore: New version 5.15.9.

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 20 Dec 2024 14:06:12 +0800

deepin-movie-reborn (5.15.8) unstable; urgency=medium

  * Update version to 5.15.8

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 14 Dec 2024 14:59:22 +0800

deepin-movie-reborn (5.15.7) unstable; urgency=medium

  * Update version to 5.15.7

 -- renbin <renbin@uniontech.com>  Mon, 09 Dec 2024 10:59:32 +0800

deepin-movie-reborn (5.15.6) unstable; urgency=medium

  * Update version to 5.15.6

 -- renbin <renbin@uniontech.com>  Sat, 30 Nov 2024 18:35:03 +0800

deepin-movie-reborn (5.15.5) unstable; urgency=medium

  * New version 5.15.5

 -- xiepengfei <xiepengfei@uniontech.com>  Sat, 30 Nov 2024 13:17:47 +0800

deepin-movie-reborn (5.15.4) unstable; urgency=medium

  * remove kwayland-shell env 

 -- Liu zheng <liuzheng@uniontech.com>  Mon, 11 Nov 2024 10:53:33 +0800

deepin-movie-reborn (5.15.3) unstable; urgency=medium

  * New version 5.15.3
  * Slimming down the linglong layer package.

 -- re2zero <yangwu@uniontech.com>  Fri, 27 Sep 2024 14:44:16 +0800

deepin-movie-reborn (5.15.2) unstable; urgency=medium

  * New version 5.15.2
  * Adapt linglong.

 -- re2zero <yangwu@uniontech.com>  Fri, 13 Sep 2024 14:06:16 +0800

deepin-movie-reborn (5.15.1) unstable; urgency=medium

  * New version 5.15.1

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 21 Aug 2024 14:52:33 +0800

deepin-movie-reborn (5.15.0) unstable; urgency=medium

  * New version 5.15.0

 -- xiepengfei <xiepengfei@uniontech.com>  Thu, 15 Aug 2024 18:05:41 +0800

deepin-movie-reborn (5.10.51) unstable; urgency=medium

  * feat: Added new settings for movie

 -- xiepengfei <xiepengfei@uniontech.com>  Wed, 02 Jul 2024 15:48:47 +0800

deepin-movie-reborn (5.10.50) unstable; urgency=medium

  * fix: Volume greater than 100 cannot be exited.(Bug: 251965)

 -- xiepengfei <xiepengfei@uniontech.com>  Fri, 19 Apr 2024 15:41:33 +0800

deepin-movie-reborn (5.10.49) unstable; urgency=medium

  * fix: Minimode display error after showfullscreen().(Bug: 249413)

 -- renbin <renbin@uniontech.com>  Tue, 16 Apr 2024 16:41:52 +0800

deepin-movie-reborn (5.10.48) unstable; urgency=medium

  * New version 5.10.48
  * fix: yuv444p format uses software decoding (Bug: 247589)
  * fix: sw jmgpu uses hardware decoding (Bug: 240393)
  * fix: cropped rounded corners exist during full-screen playback (Bug: 247735)
  * fix: pause icon still displayed when minimized (Bug: 247791)
  * fix: HW device hardware decoding detection adjustment (Bug: 249087)
  * fix: Adjust device detection strategy (Bug: 249087)

 -- renbin <renbin@uniontech.com>  Wed, 03 Apr 2024 14:56:28 +0800

deepin-movie-reborn (5.10.47) unstable; urgency=medium

  * New version 5.10.47

 -- renbin <renbin@uniontech.com>  Wed, 27 Mar 2024 15:51:03 +0800

deepin-movie-reborn (5.10.46) unstable; urgency=medium

  * New version 5.10.46

 -- muyuankai <muyuankai@uniontech.com>  Wed, 13 Mar 2024 14:53:21 +0800

deepin-movie-reborn (5.10.45) unstable; urgency=medium

  * New version 5.10.45

 -- xiepengfei <xiepengfei@uniontech.com>  Mar, 01 Fri 2024 14:25:15 +0800

deepin-movie-reborn (5.10.44) unstable; urgency=medium

  * New version 5.10.44
  * fix: Crash when switching mini mode on Wayland.(Bug: 241865)

 -- renbin <renbin@uniontech.com>  Mon, 05 Feb 2024 13:50:00 +0800

deepin-movie-reborn (5.10.43) unstable; urgency=medium

  * New version 5.10.43

 -- renbin <renbin@uniontech.com>  Web, 01 Feb 2024 14:02:52 +0800

deepin-movie-reborn (5.10.42) unstable; urgency=medium

  * New version 5.10.42
  * fix: Widget flickering when switching between
         maximized/full screen.(Bug: 239775)

 -- renbin <renbin@uniontech.com>  Fri, 19 Jan 2024 11:13:02 +0800

deepin-movie-reborn (5.10.41) unstable; urgency=medium

  * New version 5.10.41
  * fix: Playback HEVC black screen on some devices.(Bug: 234565)

 -- renbin <renbin@uniontech.com>  Tue, 09 Jan 2024 21:48:27 +0800

deepin-movie-reborn (5.10.40) unstable; urgency=medium

  * NNew version 5.10.40.

 -- muyuankai <muyuankai@uniontech.com>  Fri, 05 Jan 2024 10:07:56 +0800

deepin-movie-reborn (5.10.39) unstable; urgency=medium

  * NNew version 5.10.39.

 -- muyuankai <muyuankai@uniontech.com>  Fri, 22 Dec 2023 10:39:00 +0800

=== debian/control ===
Source: deepin-movie-reborn
Section: libdevel
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: 
    debhelper,
    cmake,
    pkg-config,
    libmpv-dev,
    libxcb1-dev,
    libxcb-util0-dev,
    libffmpegthumbnailer-dev,
    libxcb-shape0-dev,
    libxcb-ewmh-dev,
    xcb-proto,
    x11proto-record-dev,
    x11-utils,
    libxtst-dev,
    libavcodec-dev,
    libavformat-dev,
    libavutil-dev,
    libpulse-dev,
    libdvdnav-dev,
    libgsettings-qt-dev,
    libva-dev,
    libgstreamer-plugins-base1.0-dev,
    libgstreamer1.0-dev,
# qt6
    qt6-base-dev,
    qt6-base-dev-tools,
    qt6-base-private-dev,
    qt6-l10n-tools,
    qt6-svg-dev,
    qt6-tools-dev-tools,
    qt6-tools-dev,
    qt6-multimedia-dev,
    libqt6sql6-sqlite,
    libmpris-qt6-dev,
    libqt6opengl6-dev,
# dtk
    libdtk6gui-dev,
    libdtk6widget-dev,
    libdtk6core-dev
Standards-Version: 3.9.8
Homepage: https://www.deepin.org/

Package: deepin-movie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, va-driver-all, libavcodec58(>= 7:4.0) | libavcodec60(>= 7:6.0), libavformat58(>= 7:4.1) | libavformat60(>= 7:6.0), libavutil56(>= 7:4.0) | libavutil58(>= 7:6.0), libffmpegthumbnailer4v5, libmpv1(>= 0.29) | libmpv2(>= 0.36), libpulse0(>= 0.99.1), libgstreamer-plugins-base1.0-0 (>= 1.0.0), libgstreamer1.0-0 (>= 1.4.0)
Recommends: libgpuinfo, uos-reporter, deepin-event-log
Description: movie player
 Movie is a full-featured video player, supporting playing local and streaming media in multiple video formats.

Package: libdmr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libavcodec58(>= 7:4.0) | libavcodec60(>= 7:6.0), libavformat58(>= 7:4.1) | libavformat60(>= 7:6.0), libavutil56(>= 7:4.0) | libavutil58(>= 7:6.0), libffmpegthumbnailer4v5, libmpv1(>= 0.29) | libmpv2(>= 0.36), libpulse0(>= 0.99.1), libgstreamer-plugins-base1.0-0 (>= 1.0.0), libgstreamer1.0-0 (>= 1.4.0)
Multi-Arch: same
Description: movie player widget library 
 deepin movie player widget library

Package: libdmr-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmr(=${binary:Version}), libgsettings-qt-dev
Description: movie player widget library development headers
 deepin movie player widget library development headers

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk
export QT_SELECT=6
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with-compat=10

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_BUILD_TYPE=Release \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DAPP_VERSION=$(DEB_VERSION_UPSTREAM) \
	  -DVERSION=$(DEB_VERSION_UPSTREAM) \
	  -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	  -DQT_VERSION=6

override_dh_install:
	dh_install --exclude=usr/share/dsg/configs/org.deepin.movie \
		   --exclude=usr/lib/uos-ai-assistant/functions
